This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 800614 - can not update repo/cds sync frequency
can not update repo/cds sync frequency
Status: CLOSED CURRENTRELEASE
Product: Red Hat Update Infrastructure for Cloud Providers
Classification: Red Hat
Component: RHUA (Show other bugs)
2.0.2
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: James Slagle
wes hayutin
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-06 14:26 EST by James Slagle
Modified: 2012-03-12 15:40 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-03-12 15:40:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description James Slagle 2012-03-06 14:26:05 EST
An api change in the newer pulp has made it so that when you update the repo and cds frequency in /etc/rhui/rhui-tools.conf pulp tracebacks on startup.
Comment 1 James Slagle 2012-03-06 14:27:15 EST
traceback:
[Tue Mar 06 13:14:26 2012] [notice] SELinux policy enabled; httpd running as context unconfined_u:system_r:httpd_t:s0
[Tue Mar 06 13:14:26 2012] [notice] suEXEC mechanism enabled (wrapper: /usr/sbin/suexec)
[Tue Mar 06 13:14:26 2012] [notice] Digest: generating secret for digest authentication ...
[Tue Mar 06 13:14:26 2012] [notice] Digest: done
[Tue Mar 06 13:14:26 2012] [notice] Apache/2.2.15 (Unix) DAV/2 mod_ssl/2.2.15 OpenSSL/1.0.0-fips mod_wsgi/3.3 Python/2.6.6 configured -- resuming normal operations
[Tue Mar 06 13:14:28 2012] [error] mod_wsgi (pid=10131): Target WSGI script '/srv/pulp/webservices.wsgi' cannot be loaded as Python module.
[Tue Mar 06 13:14:28 2012] [error] mod_wsgi (pid=10131): Exception occurred processing WSGI script '/srv/pulp/webservices.wsgi'.
[Tue Mar 06 13:14:28 2012] [error] Traceback (most recent call last):
[Tue Mar 06 13:14:28 2012] [error]   File "/srv/pulp/webservices.wsgi", line 19, in <module>
[Tue Mar 06 13:14:28 2012] [error]     application = wsgi_application()
[Tue Mar 06 13:14:28 2012] [error]   File "/usr/lib/python2.6/site-packages/pulp/server/webservices/application.py", line 249, in wsgi_application
[Tue Mar 06 13:14:28 2012] [error]     _initialize_pulp()
[Tue Mar 06 13:14:28 2012] [error]   File "/usr/lib/python2.6/site-packages/pulp/server/webservices/application.py", line 233, in _initialize_pulp
[Tue Mar 06 13:14:28 2012] [error]     _update_sync_schedules()
[Tue Mar 06 13:14:28 2012] [error]   File "/usr/lib/python2.6/site-packages/pulp/server/webservices/application.py", line 172, in _update_sync_schedules
[Tue Mar 06 13:14:28 2012] [error]     repo_api.update(_repo["id"], param)
[Tue Mar 06 13:14:28 2012] [error]   File "/usr/lib/python2.6/site-packages/pulp/server/api/repo.py", line 753, in update
[Tue Mar 06 13:14:28 2012] [error]     'update keyword "%s", not-supported' % key
[Tue Mar 06 13:14:28 2012] [error] Exception: update keyword "sync_schedule", not-supported
Comment 2 James Slagle 2012-03-06 14:48:27 EST
committed to pulp rhui branch:
ff3041b0f646ae099f0f00e6524c34666077b17c
Comment 3 James Slagle 2012-03-06 17:14:48 EST
Included in new build:
http://download.lab.bos.redhat.com/devel/candidates/RHEL-6.2-RHUI-2.0.2-20120306.1/2.0.2/Server/x86_64/iso/RHEL-6.2-RHUI-2.0.2-20120306.1-Server-x86_64-DVD1.iso

The yum repo has also been updated so you can test upgrades.
Comment 4 Kedar Bidarkar 2012-03-07 10:12:53 EST
[root@scalpel noarch]# cd
[root@scalpel ~]# vi /etc/rhui/rhui-tools.conf
[root@scalpel ~]# rhui-manager


------------------------------------------------------------------------------
             -= Red Hat Update Infrastructure Management Tool =-


-= Home =-

   r   manage repositories
   c   manage content delivery servers (CDS)
   s   synchronization status and scheduling
   e   create entitlement certificates and client configuration RPMs
   n   manage Red Hat entitlement certificates
   u   manage users
   i   manage identity certificate

   logout
       removes stored authentication credentials and exits

   <   move to the previous screen
   ^, home
       move to the home screen
   /, clear
       clears the screen
   ?, help
       display help
   q, quit, exit
       exit

                                     Connected: scalpel.lab.eng.pnq.redhat.com
------------------------------------------------------------------------------
rhui (home) => s


------------------------------------------------------------------------------
             -= Red Hat Update Infrastructure Management Tool =-


-= Synchronization Status =-

   dr  display repo sync summary
   vr  view the details of the last repository sync
   sr  sync an individual repository immediately
   dc  display CDS sync summary
   vc  view the details of the last CDS sync
   sc  sync an individual CDS immediately

                                     Connected: scalpel.lab.eng.pnq.redhat.com
------------------------------------------------------------------------------
rhui (sync) => dr








------------------------------------------------------------------------------
             -= Red Hat Update Infrastructure Management Tool =-


-= Repository Synchronization Status =-

Last Refreshed: 13:16:35
(updated every 5 seconds, ctrl+c to exit)

Next Sync                    Last Sync                    Last Result         
------------------------------------------------------------------------------
Red Hat Enterprise Linux 6 Server (RPMs) from RHUI (6Server-x86_64)
In Progress                  Never                        Never       

Red Hat Update Infrastructure 2.0 (RPMs) (6Server-x86_64)
03-07-2012 13:17             03-07-2012 07:20             Success    

Red Hat Update Infrastructure 2.0 (Source RPMs) (6Server-x86_64)
03-07-2012 14:50             03-07-2012 09:00             Success    


                                     Connected: scalpel.lab.eng.pnq.redhat.com
------------------------------------------------------------------------------




[root@scalpel ~]#  cat /etc/rhui/rhui-tools.conf | grep -i sync_frequency
repo_sync_frequency: 5
cds_sync_frequency: 5


After changing the sync frequencyies from 6 to 5 , didn't observe any issues or traceback.
Comment 5 James Slagle 2012-03-12 15:40:03 EDT
Released in RHUI 2.0.2

Note You need to log in before you can comment on or make changes to this bug.